package soft.robot;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map.Entry;

public class Belief {
	double confidence = -1;
	Shape shape = Shape.NULL;
	
	public void update(double[] belief) {
		
		Integer max = null;
		for (int i =0; i < belief.length;i++) {
			if (max == null || belief[i] > belief[max]) {
				max = i;
			}
		}
		
		confidence = belief[max];
		if (max == 0) {
			shape = Shape.CIRCLE;
		} else if (max == 1) {
			shape = Shape.NULL;
		} else if (max == 2) {
			shape = Shape.SQUARE;
		}
		
	}
	
	public Shape getShape() {
		return this.shape;
	}
	
	public double getConfidence() {
		return confidence;
	}
}
