/*
  Sends sensor data to Arduino
 (needs SensorGraph and Amarino app installed and running on Android)
 */

#include <MeetAndroid.h>
#include <Servo.h>

#define FAST  10 
#define SLOW  6
#define ROTAT 20 

Servo LeftServo;  
Servo RightServo;   

MeetAndroid meetAndroid;



int led = 13;



void setup()  
{
  Serial.begin(9600); 
  pinMode(led, OUTPUT);
  meetAndroid.registerFunction(square, 's');  
  meetAndroid.registerFunction(circle, 'c');  
  meetAndroid.registerFunction(nulll, 'n');  

  LeftServo.attach(9);  
  RightServo.attach(10);
  
}

void loop()
{
   LeftServo.write(90 - SLOW/4);
   RightServo.write(90 + SLOW/4); 

  meetAndroid.receive(); 
  delay(250);
}


void circle(byte flag, byte numOfValues)
{  
   LeftServo.write(90 - ROTAT);
   RightServo.write(90 - ROTAT);           
}


void square(byte flag, byte numOfValues)
{
   LeftServo.write(90 + ROTAT);
   RightServo.write(90 + ROTAT);           
}


void nulll(byte flag, byte numOfValues)
{
   LeftServo.write(90 - SLOW);    
   RightServo.write(90 + SLOW);           
}


